Trying to do a Production Android build -- Stuck First Dex now ANDROID_SUPPORT_V4_VERSION

#1

Code had gone through QA, was ready to do build for production and started to get the
Dex: Error converting bytecode to dex:
Cause: Dex cannot parse version 52 byte code.

Thought maybe something was off with the firebase plugin updated it from 2.0.1 to 2.0.5 and Android from 6.3 to 6.4.
Now when I build I get

A problem occurred evaluating root project ‘android’.

Could not get unknown property ‘ANDROID_SUPPORT_V4_VERSION’ for object of type org.gradle.api.internal.artifacts.dsl.dependencies.DefaultDependencyHandler.

Saw some references to these and tried updating those plugins. That didn’t work.
I guess I’m trying to just reset.
reverted any changes I had made config.xml and package.json except I uninstalled Firebase plugin.
I’m still getting the error ANDROID_SUPPORT_V4_VERSION.

I can see that is still the gradle.build file it still has this line.
compile “com.android.support:support-v4:$ANDROID_SUPPORT_V4_VERSION”

Have been trying to get things to build but also go back to the 6.3 version.
I clear .gradle folder. Using Gradle 4.0.3 (I had downloaded 4.10.3).
Clear the plugin folder
Remove android and add android 6.3 back which downloads the plugins.
Build and get the same error.